AUPARSE_INTERPRET_FIELD(3)

NAME
auparse_interpret_field - get current field's value interpreted

SYNOPSIS
#include <auparse.h>

const char *auparse_interpret_field(auparse_state_t *au);

DESCRIPTION
auparse_interpret_field allows access to the interpreted value in the current field of the current record in the current event. The returned string is escaped using the chosen method. The returned value will be destroyed if you call this function again. If you need to interpret another field and keep this value, you will have to copy it for later use. Examples of things that could be interpreted are: uid, gid, syscall numbers, exit codes, file paths, socket addresses, permissions, modes, and capabilities. There are likely to be more in the future. If a value cannot be interpreted, its original value is returned.

RETURN VALUE
Returns NULL if there is an error otherwise a pointer to the interpreted value.

SEE ALSO
auparse_get_field_str(3),auparse_set_escape_mode(3).

AUTHOR
Steve Grubb